Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Python
import requests url = "https://x.kupe.in/v1/agents/{agent_id}/tests/{test_id}" payload = {} headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({}) }; fetch('https://x.kupe.in/v1/agents/{agent_id}/tests/{test_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request PATCH \ --url https://x.kupe.in/v1/agents/{agent_id}/tests/{test_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'
{ "id": "<string>", "agent_id": "<string>", "name": "<string>", "scenario": "<string>", "behaviors": [ "<string>" ], "expected_tool_calls": [ { "tool_name": "<string>", "args_expectation": "<string>" } ], "created_at": "<string>", "updated_at": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Project API key (sk-kupe-...) or a Supabase user JWT.
sk-kupe-...
Show child attributes
Successful Response